Software for automated data analysis of Wilson_tm fermions.

To run the code in the juliaREPL type:
julia> include("/path_to/analysis.jl")

Go to SET UP VARIABLES section in the analysis.jl code to properly configure before running.
You have to up set the following variables:
- path_data where data are stored
- path_plat where a plat.txt file is stored with plateaus for all ensembles
- path_result where you want to save results.txt and plots 
- ensembles to analyse 
- sector you are interested in: light-light, light-heavy, heavy-heavy...
- rwf set to true if you want to include reweighting factors
- compute_t0 set to true if you want to extract t0 from ms.dat file. Otherwise, t0 is taken from 1608.08900 in const.jl
- mass_shift set to true if you want to include the mass shift
- go to line 477 to modify continuum limit + chiral extrapolatio fit model

Data in path_data need to be stored as follow:


../data_folder:

../data_folder/ens_id_1_folder:
- mesons.dat
- ms.dat
- ms1.dat
- pbp.dat


../data_folder/ens_id_2_folder:

- r0_mesons.dat
- r1_mesons.dat
- r0_ms.dat
- r1_ms.dat
- r0_ms1.dat
- r1_ms1.dat
- r0_pbp.dat
- r1_pbp.dat


and so on.